

SERVER_JAR_NAME="server-all.jar"

OLD_PID=$(ps -aux | grep "-jar $SERVER_JAR_NAME" | tr -s " " | cut -d " " -f2)

#if $OLD_PID is not empty but isn't a number, something went wrong
if [ "$OLD_PID" ] && ! grep -E -q "^[0-9]+$"; then
  echo "error, unable to retrieve old server pid: $OLD_PID" >&2
  exit 2
fi


if [ "$OLD_PID" ]; then
  #will cause the old server to gracefully shutdown
  echo "shutting down old server version ..."
  kill SIGQUIT "$OLD_PID"
  wait "$OLD_PID"
fi
